/*---------------------- community_h ----------------------*/
.community_h  {
    margin-top: 180px;
}
.community_h_title {
    margin-bottom: 32px;
    font-size: var(--ft50);
    font-family: var(--font-eng);
    font-weight: var(--semi-bold);
}
.community_h_text {
    font-size: var(--ft20);
    font-weight: var(--normal);
    color: var(--gray-500);
}

.h_radio {
    margin: 40px auto 0;
    width: fit-content;
    padding: 6px;
    border-radius: var(--radius);
    background-color: var(--primary-bg);
    display: flex;
}
.h_radio label {
    display: block;
    padding: 10px 20px;
    font-size: var(--ft18);
    font-weight: var(--medium);
    color: var(--gray-400);
    border-radius: var(--radius);
    cursor: pointer;
}
.h_radio input:checked ~ label {
    background-color: var(--primary);
    color: var(--white);
}

/*---------------------- content_h ----------------------*/
.content_h {
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.content_h .total {
    font-size: var(--ft16);
    color: var(--gray-500);
    display: flex;
    align-items: center;
    gap: 8px;
}
.content_h .total span {
    font-weight: var(--semi-bold);
    color: var(--primary);
}
.search_box {
    width: 100%;
    max-width: 320px;
    height: 50px;
    border-bottom: 1px solid var(--line);
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: border .4s ease;
}
.search_box.is-focus {
    border-color: var(--gray-600);
}
.search_box input {
    width: 100%;
    height: 100%;
}
.search_box button {
    width: 22px;
    height: 22px;
    cursor: pointer;
    flex-shrink: 0;
}

/*---------------------- content_wrap ----------------------*/
.content_wrap {
    margin-top: 50px;
}

.title {
    margin-bottom: 12px;
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--gray-600);
}
.title span {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--primary);
}
.text {
    font-size: var(--ft16);
    color: var(--gray-500);
}
.date {
    font-size: var(--ft16);
    color: var(--gray-400);
}
.cir {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .4s ease;
}
.cir::before {
    content: '';
    display: block;
    width: 18px;
    height: 18px;
    background: url(/images/icon/plus_w.svg) no-repeat center/contain;
    transform: scale(0) rotate(90deg);
    transition: transform .4s ease;
}


/*-- notice_list --*/
.notice_list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.notice_box {
    width: 100%;
    border-radius: var(--radius);
    border: 1px solid var(--line);
    transition: all .4s ease;
}
.notice_box a {
    padding: 28px 32px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.notice_box:hover {
    border-color: var(--primary-line);
    background-color: var(--primary-bg);
}
.notice_box:hover .cir {
    width: 30px;
    height: 30px;
}
.notice_box:hover .cir::before {
    transform: scale(1) rotate(0deg);
}

/*-- event_list --*/
.event_list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px 20px;
}
.event_img {
    width: 100%;
    margin-bottom: 20px;
    aspect-ratio: 4 / 5;
    border-radius: var(--radius);
    overflow: hidden;
    position: relative;
}
.event_img img {
    transition: transform .4s ease;
}
.event_box.end .event_img::after {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background-color: var(--black-400);
    position: absolute;
    top: 0;
    left: 0;
}
.eng_label {
    background-color: var(--gray-600);
    border-radius: var(--radius);
    padding: 8px 10px;
    font-size: var(--ft14);
    font-weight: var(--medium);
    color: var(--white);
    position: absolute;
    top: 20px;
    left: 20px;
    z-index: 1;
}

.event_box:hover .event_img img {
    transform: scale(1.05);
}

.upcoming {
    position: absolute;
    top: 20px;
    right: 20px;
    border-radius: var(--radius);
    background: var(--gray-500);
    text-align: center;
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 14px;
}

/*-- after_list --*/
.after_list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px 20px;
}
.after_img_wrap {
    width: 100%;
    margin-bottom: 20px;
    border-radius: var(--radius);
    overflow: hidden;
    display: flex;
}
.after_img_wrap figure {
    width: 100%;
    aspect-ratio: 1 / 1;
    position: relative;
    transition: transform .4s ease;
}
.after_box:hover .after_img_wrap > figure {
    transform: scale(1.05);
}



.null_box {
    padding: 80px 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    border: 1px solid var(--line);
    border-radius: var(--radius);
}
.null_box img {
    width: 80px;
    height: 80px;
}
.null_box p {
    font-size: var(--ft18);
    font-weight: var(--medium);
    color: var(--gray-400);
    text-align: center;
}

@media all and (max-width: 1200px) {
    /*-- content_h --*/
    .community_h {
        margin-top: 120px;
    }
    .page_path {
        margin-bottom: 24px;
    }
    .community_h_title {
        margin-bottom: 24px;
        font-size: var(--ft40);
    }
    .community_h_text {
        font-size: var(--ft18);
    }


    .content_wrap {
        margin-top: 32px;
    }

    /*-- event_list --*/
    .event_list {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media all and (max-width: 768px) {

    /*-- content_h --*/
    .community_h {
        margin-top: 100px;
    }
    .page_path {
        margin-bottom: 16px;
    }
    .community_h_title {
        font-size: var(--ft32);
    }
    .content_h {
        margin-top: 30px;
        flex-direction: column;
        align-items: start;
        gap: 20px;
    }
    .content_h .total {
        order: 2;
    }
    .search_box {
        height: 45px;
        margin: 0 auto;
    }
    .h_radio {
        margin-top: 32px;
    }
    .h_radio label {
        padding: 10px 12px;
        font-size: var(--ft16);
    }

    .content_wrap {
        margin-top: 20px;
    }

    /*-- notice_list --*/
    .notice_box a {
        padding: 20px;
    }
    .title {
        margin-bottom: 6px;
        font-size: var(--ft16);
    }
    .text {
        font-size: var(--ft14);
    }
    .cir {
        display: none;
    }
    
    /*-- event_list --*/
    .event_list {
        gap: 20px 10px;
    }
    .event_img {
        margin-bottom: 10px;
    }
    .upcoming {
        top: 10px;
        right: 10px;
        font-size: var(--ft13);
        padding: 6px 10px;
    }

    /*-- after_list --*/
    .after_list {
        grid-template-columns: repeat(1, 1fr);
        gap: 20px;
    }
    .after_img_wrap {
        margin-bottom: 10px;
    }
}